Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.rss.feed
Class Feed

    java.lang.Object
      com.bea.apps.groupspace.rss.feed.Feed

    public class Feed

extends Object

Bean class for Feeds. Wraps the fields that can be persisted.

Constructor Summary
`Feed(FeedFolder feedFolder)`
`Feed(RssFeedImpl feed, CommunityContent.Visibility visibility)`

Method Summary
`String` | `getDescription()`
`String` | `getFeedAuthor()`
`URL` | `getFeedUrl()`
`String` | `getImageUrl()`
`String` | `getLanguage()`
`String` | `getLink()`
`Date` | `getPublished()`
`String` | `getTitle()`
`CommunityContent.Visibility` | `getVisibility()`
`void` | `setDescription(String description)`
`void` | `setFeedAuthor(String feedAuthor)`
`void` | `setFeedUrl(URL feedUrl)`
`void` | `setImageUrl(String imageUrl)`
`void` | `setLanguage(String language)`
`void` | `setLink(String link)`
`void` | `setPublished(Date published)`
`void` | `setTitle(String title)`
`void` | `setVisibility(CommunityContent.Visibility visibility)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Feed

    public Feed(RssFeedImpl feed,
                CommunityContent.Visibility visibility)

### Feed

    public Feed(FeedFolder feedFolder)
         throws MalformedURLException

Throws
  `MalformedURLException`

Method Detail

### getDescription

    public String getDescription()

  Returns
    Returns the description.

### setDescription

    public void setDescription(String description)

  Parameters
    `description` - The description to set.

### getFeedAuthor

    public String getFeedAuthor()

  Returns
    Returns the feedAuthor.

### setFeedAuthor

    public void setFeedAuthor(String feedAuthor)

  Parameters
    `feedAuthor` - The feedAuthor to set.

### getImageUrl

    public String getImageUrl()

  Returns
    Returns the imageUrl.

### setImageUrl

    public void setImageUrl(String imageUrl)

  Parameters
    `imageUrl` - The imageUrl to set.

### getLanguage

    public String getLanguage()

  Returns
    Returns the language.

### setLanguage

    public void setLanguage(String language)

  Parameters
    `language` - The language to set.

### getLink

    public String getLink()

  Returns
    Returns the link.

### setLink

    public void setLink(String link)

  Parameters
    `link` - The link to set.

### getPublished

    public Date getPublished()

  Returns
    Returns the published.

### setPublished

    public void setPublished(Date published)

  Parameters
    `published` - The published to set.

### getTitle

    public String getTitle()

  Returns
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters
    `title` - The title to set.

### getFeedUrl

    public URL getFeedUrl()

  Returns
    Returns the feedUrl.

### setFeedUrl

    public void setFeedUrl(URL feedUrl)

  Parameters
    `feedUrl` - The feedUrl to set.

### getVisibility

    public CommunityContent.Visibility getVisibility()

  Returns
    Returns the visibility.

### setVisibility

    public void setVisibility(CommunityContent.Visibility visibility)

  Parameters
    `visibility` - The visibility to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved